## org.codehaus.groovy.grails.webflow.scope
Class ScopeRegistrar

    java.lang.Object
      org.codehaus.groovy.grails.webflow.scope.ScopeRegistrar

All Implemented Interfaces:
  BeanFactoryPostProcessor, Ordered

    public class ScopeRegistrar

extends Object
implements BeanFactoryPostProcessor, Ordered

Replaces Webflow ScopeRegistrar since we don't need to the RequestScope implementation of WebFlow

Since:
  1.1
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`ScopeRegistrar()`

Method Summary
`int` `getOrder()`
`void` `postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopeRegistrar

    public ScopeRegistrar()

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)
                                throws BeansException

  Specified by:
    `postProcessBeanFactory` in interface `BeanFactoryPostProcessor`
  Throws:
    `BeansException`

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `Ordered`

Copyright (c) 2005-2009 The Grails project